## flux get sources

Get source statuses

### Synopsis

The get source sub-commands print the statuses of the sources.

### Options

```
  -h, --help   help for sources
```

### Options inherited from parent commands

```
  -A, --all-namespaces      list the requested object(s) across all namespaces
      --context string      kubernetes context to use
      --kubeconfig string   path to the kubeconfig file (default "~/.kube/config")
  -n, --namespace string    the namespace scope for this operation (default "flux-system")
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [flux get](flux_get.md)	 - Get sources and resources
* [flux get sources bucket](flux_get_sources_bucket.md)	 - Get Bucket source statuses
* [flux get sources chart](flux_get_sources_chart.md)	 - Get HelmChart statuses
* [flux get sources git](flux_get_sources_git.md)	 - Get GitRepository source statuses
* [flux get sources helm](flux_get_sources_helm.md)	 - Get HelmRepository source statuses

